/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.watermeter.entity.Wateryield;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 取供水量数据存储表
 *
 * @author admin
 * @date Sat May 28 00:00:00 CST 2022
 */
@Mapper
public interface WateryieldMapper extends BaseMapper<Wateryield> {

    String queryHistoryInfo(@Param("itcd") String itcd, @Param("time") Date time, @Param("format") String format,@Param("sort") String sort);

    String getScadaItVal(@Param("itcd") String itcd, @Param("str") String str, @Param("sort") String sort);

    List<String> groupTimeList();

    boolean batchInsertWaterYield(@Param("wateryields") List<Wateryield> wateryields);

    List<Map> getMeterInfo(@Param("month") String month);
}
